Skip to main content
PUT
folders
/
{folder_id}
curl -X PUT "https://postsyncer.com/api/v1/folders/42" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Campaign assets","color":"#2563EB"}'

Update folder

Send at least one of name, color, or parent_id. You cannot set parent_id to this folder or to any of its subfolders.

Request

folder_id
integer
required
The id of the folder to update (same as the id field on the folder)
name
string
New name
color
string
Hex color
parent_id
integer
New parent folder id in the same workspace, or null to move to root
Requires the posts ability.
curl -X PUT "https://postsyncer.com/api/v1/folders/42" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Campaign assets","color":"#2563EB"}'